<?php
/*---------------------------------------------------------------*/
/*
    Titre : Code langue en anglais                                                                                        
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1001
    Date dition     : 15 Fv 2019                                                                                        
    Date mise  jour : 08 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - refactoring du code en PHP 7                                                                                        
    - fonctionnement du code vérifié                                                                                    
    - correction du code                                                                                                  
    - modification de la description                                                                                      
*/
/*---------------------------------------------------------------*/
 
    $langage = array( 
    "aa" =>"Afar", 
    "ab" =>"Abkhazian", 
    "ae" =>"Avestan", 
    "af" =>"Afrikaans", 
    "am" =>"Amharic", 
    "ar" =>"Arabic", 
    "as" =>"Assamese", 
    "ay" =>"Aymara", 
    "az" =>"Azerbaijani", 
    "ba" =>"Bashkir", 
    "be" =>"Belarusian", 
    "bg" =>"Bulgarian", 
    "bh" =>"Bihari", 
    "bi" =>"Bislama", 
    "bn" =>"Bengali", 
    "bo" =>"Tibetan", 
    "br" =>"Breton", 
    "bs" =>"Bosnian", 
    "ca" =>"Catalan", 
    "ce" =>"Chechen", 
    "ch" =>"Chamorro", 
    "co" =>"Corsican", 
    "cs" =>"Czech", 
    "cu" =>"Church Slavic", 
    "cv" =>"Chuvash", 
    "cy" =>"Welsh", 
    "da" =>"Danish", 
    "de" =>"German", 
    "dz" =>"Dzongkha", 
    "el" =>"Greek, Modern (1453-)", 
    "en" =>"English", 
    "eo" =>"Esperanto", 
    "es" =>"Spanish", 
    "et" =>"Estonian", 
    "eu" =>"Basque", 
    "fa" =>"Persian", 
    "fi" =>"Finnish", 
    "fj" =>"Fijian", 
    "fo" =>"Faroese", 
    "fr" =>"French", 
    "fy" =>"Frisian", 
    "ga" =>"Irish", 
    "gd" =>"Gaelic (Scots)", 
    "gl" =>"Gallegan", 
    "gn" =>"Guarani", 
    "gu" =>"Gujarati", 
    "gv" =>"Manx", 
    "ha" =>"Hausa", 
    "he" =>"Hebrew", 
    "hi" =>"Hindi", 
    "ho" =>"Hiri Motu", 
    "hr" =>"Croatian", 
    "hu" =>"Hungarian", 
    "hy" =>"Armenian", 
    "hz" =>"Herero", 
    "ia" =>"Interlingua (International)", 
    "id" =>"Indonesian", 
    "ie" =>"Interlingue", 
    "ik" =>"Inupiaq", 
    "is" =>"Icelandic", 
    "it" =>"Italian", 
    "iu" =>"Inuktitut", 
    "ja" =>"Japanese", 
    "jw" =>"Javanese", 
    "ka" =>"Georgian", 
    "ki" =>"Kikuyu", 
    "kj" =>"Kuanyama", 
    "kk" =>"Kazakh", 
    "kl" =>"Kalaallisut", 
    "km" =>"Khmer", 
    "kn" =>"Kannada", 
    "ko" =>"Korean", 
    "ks" =>"Kashmiri", 
    "ku" =>"Kurdish", 
    "kv" =>"Komi", 
    "kw" =>"Cornish", 
    "ky" =>"Kirghiz", 
    "la" =>"Latin", 
    "lb" =>"Letzeburgesch", 
    "ln" =>"Lingala", 
    "lo" =>"Lao", 
    "lt" =>"Lithuanian", 
    "lv" =>"Latvian", 
    "mg" =>"Malagasy", 
    "mh" =>"Marshall", 
    "mi" =>"Maori", 
    "mk" =>"Macedonian", 
    "ml" =>"Malayalam", 
    "mn" =>"Mongolian", 
    "mo" =>"Moldavian", 
    "mr" =>"Marathi", 
    "ms" =>"Malay", 
    "mt" =>"Maltese", 
    "my" =>"Burmese", 
    "na" =>"Nauru", 
    "nb" =>"Norwegian Bokma¨l", 
    "nd" =>"Ndebele, North", 
    "ne" =>"Nepali", 
    "ng" =>"Ndonga", 
    "nl" =>"Dutch", 
    "nn" =>"Norwegian Nynorsk", 
    "no" =>"Norwegian", 
    "nr" =>"Ndebele, South", 
    "nv" =>"Navajo", 
    "ny" =>"Chichewa; Nyanja", 
    "ny" =>"Nyanja; Chichewa", 
    "oc" =>"Occitan (post 1500); Provençal", 
    "oc" =>"Provençal; Occitan (post 1500)", 
    "om" =>"Oromo", 
    "or" =>"Oriya", 
    "os" =>"Ossetian; Ossetic", 
    "os" =>"Ossetic; Ossetian", 
    "pa" =>"Panjabi", 
    "pi" =>"Pali", 
    "pl" =>"Polish", 
    "ps" =>"Pushto", 
    "pt" =>"Portuguese", 
    "qu" =>"Quechua", 
    "rm" =>"Raeto-Romance", 
    "rn" =>"Rundi", 
    "ro" =>"Romanian", 
    "ru" =>"Russian", 
    "rw" =>"Kinyarwanda", 
    "sa" =>"Sanskrit", 
    "sc" =>"Sardinian", 
    "sd" =>"Sindhi", 
    "se" =>"Northern Sami", 
    "sg" =>"Sango", 
    "si" =>"Sinhalese", 
    "sk" =>"Slovak", 
    "sl" =>"Slovenian", 
    "sm" =>"Samoan", 
    "sn" =>"Shona", 
    "so" =>"Somali", 
    "sq" =>"Albanian", 
    "sr" =>"Serbian", 
    "ss" =>"Swati", 
    "st" =>"Sotho, Southern", 
    "su" =>"Sundanese", 
    "sv" =>"Swedish", 
    "sw" =>"Swahili", 
    "ta" =>"Tamil", 
    "te" =>"Telugu", 
    "tg" =>"Tajik", 
    "th" =>"Thai", 
    "ti" =>"Tigrinya", 
    "tk" =>"Turkmen", 
    "tl" =>"Tagalog", 
    "tn" =>"Tswana", 
    "to" =>"Tonga (Tonga Islands)", 
    "tr" =>"Turkish", 
    "ts" =>"Tsonga", 
    "tt" =>"Tatar", 
    "tw" =>"Twi", 
    "ty" =>"Tahitian", 
    "ug" =>"Uighur", 
    "uk" =>"Ukrainian", 
    "ur" =>"Urdu", 
    "uz" =>"Uzbek", 
    "vi" =>"Vietnamese", 
    "vo" =>"Volapà¼k", 
    "wo" =>"Wolof", 
    "xh" =>"Xhosa", 
    "yi" =>"Yiddish", 
    "yo" =>"Yoruba", 
    "za" =>"Zhuang", 
    "zh" =>"Chinese", 
    "zu" =>"Zulu"); 
?>